#ifndef _SENSOR_H_
#define _SENSOR_H_

#include "../hal/board.h"
#include "ballsensor.h"
#include "position.h"
#include "abstand.h"
#include "../global.h"

extern Board board;

class Sensor
{
private:
	Ballsensor ballsensor;
	Position position;
	Abstand abstand;
public:
	Sensor();
	~Sensor();
	
	void Aktualisieren();

	int GetAusrichtung(); // Gibt die aktuelle Ausrichtung des Roboters zurück
};

#endif
